GET/v2/transactions

List

Recovers all transactions for the account provided using cursor-based pagination.

Transactions are meant to be copied to your systems. This endpoint is expected to be used one time per synchronization and not connected to any application directly.

As general recommendations, we expect that you use this endpoint connected to created, updated & deleted webhooks with specific filters that were designed for performance, and paging the largest amount of records per page (500), which is the current default.

Note

Fields availability

The field ProviderId is only returned in Regulado connections, consistent with the bank's ID. It would be the same for the same account connected as different items.

The field ProviderCode is only returned in Regulado an certain connectors.

Parameters

Query Parameters

NameType
accountIdrequired
string (uuid)
ids
array
dateFrom
string (date-time)
dateTo
string (date-time)
createdAtFrom
string (date-time)
after
string

Responses

200Retrieve a list of transactions for an account using cursor-based pagination
object

Cursor-based paginated response for transactions

resultsrequiredobject[]

List of transactions for the current page

itemsobject

Transaction product

nextrequiredstring | null

Ready-to-use query string for the next page: append it as-is to the endpoint path (GET /v2/transactions{next}). Null if there are no more results.

Example response

json
{
  "results": [
    {
      "id": "6ec156fe-e8ac-4d9a-a4b3-7770529ab01c",
      "description": "TED Example",
      "descriptionRaw": null,
      "currencyCode": "BRL",
      "amount": 1500,
      "date": "2020-10-14T00:00:00.000Z",
      "balance": 3500,
      "category": "Transfers",
      "categoryId": "05000000",
      "accountId": "03cc0eff-4ec5-495c-adb3-1ef9611624fc",
      "providerCode": "123456",
      "type": "CREDIT",
      "status": "POSTED",
      "paymentData": {
        "payer": {
          "name": "Tiago Rodrigues Santos",
          "branchNumber": "090",
          "accountNumber": "1234-5",
          "routingNumber": "001",
          "documentNumber": {
            "type": "CPF",
            "value": "882.937.076-23"
          }
        },
        "reason": "Taxa de serviço",
        "receiver": {
          "name": "Pluggy",
          "branchNumber": "999",
          "accountNumber": "9876-1",
          "routingNumber": "002",
          "documentNumber": {
            "type": "CNPJ",
            "value": "08.050.608/0001-32"
          }
        },
        "paymentMethod": "TED",
        "referenceNumber": "123456789"
      },
      "merchant": null,
      "providerId": null
    }
  ],
  "next": "string"
}
curl -X GET \
'https://api.pluggy.ai/v2/transactions' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Sample response
{
"results": [
{
"id": "6ec156fe-e8ac-4d9a-a4b3-7770529ab01c",
"description": "TED Example",
"descriptionRaw": null,
"currencyCode": "BRL",
"amount": 1500,
"date": "2020-10-14T00:00:00.000Z",
"balance": 3500,
"category": "Transfers",
"categoryId": "05000000",
"accountId": "03cc0eff-4ec5-495c-adb3-1ef9611624fc",
"providerCode": "123456",
"type": "CREDIT",
"status": "POSTED",
"paymentData": {
"payer": {
"name": "Tiago Rodrigues Santos",
"branchNumber": "090",
"accountNumber": "1234-5",
"routingNumber": "001",
"documentNumber": {
"type": "CPF",
"value": "882.937.076-23"
}
},
"reason": "Taxa de serviço",
"receiver": {
"name": "Pluggy",
"branchNumber": "999",
"accountNumber": "9876-1",
"routingNumber": "002",
"documentNumber": {
"type": "CNPJ",
"value": "08.050.608/0001-32"
}
},
"paymentMethod": "TED",
"referenceNumber": "123456789"
},
"merchant": null,
"providerId": null
}
],
"next": "string"
}